Zum Hauptinhalt springen

Request an access token for the File belonging to the Conversation

GET/v2/conversations/{conversationId}/files/{fileId}/access-token
API-Version
v2
Request-Methode
GET
Operation-ID
conversation-get-file-access-token

Request​

  • conversationIdstring (uuid)required
  • fileIdstring (uuid)required

Responses​

Format
application/json
Beschreibung

The file access token required to access the file linked with the conversation.

  • accessTokenstringrequired
  • expiresAtstring (date-time)required
Content-Type: application/json

{
"accessToken": "string",
"expiresAt": "1985-10-26T01:21:00.000Z"
}
{
"properties": {
"accessToken": {
"type": "string"
},
"expiresAt": {
"format": "date-time",
"type": "string"
}
},
"required": [
"accessToken",
"expiresAt"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/conversations/f0f86186-0a5a-45b2-aa33-502777496347/files/f0f86186-0a5a-45b2-aa33-502777496347/access-token
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.conversation.getFileAccessToken({
"conversationId": "f0f86186-0a5a-45b2-aa33-502777496347",
"fileId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\GetFileAccessToken\GetFileAccessTokenRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetFileAccessTokenRequest(
conversationId: "f0f86186-0a5a-45b2-aa33-502777496347",
fileId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->conversation()->getFileAccessToken($request);

var_dump($response->getBody();

Auf dieser Seite